#ifndef GeneHe3detSD_hh
#define GeneHe3detSD_hh 1

#include "G4VSensitiveDetector.hh"
#include "GeneHe3detHit.hh"
#include "globals.hh"

class G4Step;
class G4HCofThisEvent;

class GeneHe3detSD : public G4VSensitiveDetector {
public:
    GeneHe3detSD(G4String);
    ~GeneHe3detSD();

    void Initialize(G4HCofThisEvent*);
    G4bool ProcessHits(G4Step*, G4TouchableHistory*);
    void EndOfEvent(G4HCofThisEvent*);
    void clear();
    void DrawAll();
    void PrintAll();

private:
    GeneHe3detHitsCollection* scintillatorCollection;
};

#endif
