#ifndef GenePrimaryGeneratorActionMessenger_hh
#define GenePrimaryGeneratorActionMessenger_hh 1

#include "G4UImessenger.hh"
#include "globals.hh"

class GenePrimaryGeneratorAction;
class G4UIdirectory;
class G4UIcmdWithADoubleAndUnit;
class G4UIcmdWithAString;

class GenePrimaryGeneratorActionMessenger : public G4UImessenger {
public:
    GenePrimaryGeneratorActionMessenger(GenePrimaryGeneratorAction*);
    virtual ~GenePrimaryGeneratorActionMessenger();

    virtual void SetNewValue(G4UIcommand*, G4String);

private:
    GenePrimaryGeneratorAction* pPrimaryGeneratorAction;

    G4UIdirectory* PrimaryDir;
    G4UIcmdWithADoubleAndUnit* BeamEnergyCmd;
};

#endif
